# Uses of Interface
com.sun.jdi.Field

Packages that use Field
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.
com.sun.jdi.event
This package defines JDI events and event processing.
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of Field in com.sun.jdi

Methods in com.sun.jdi that return Field
Modifier and Type
Method
Description
`Field`
ReferenceType.`fieldByName(String fieldName)`
Finds the visible `Field` with the given non-ambiguous name.
Methods in com.sun.jdi that return types with arguments of type Field
Modifier and Type
Method
Description
`List<Field>`
ReferenceType.`allFields()`
Returns a list containing each `Field` declared in this type, and its superclasses, implemented interfaces, and/or superinterfaces.
`List<Field>`
ReferenceType.`fields()`
Returns a list containing each `Field` declared in this type.
`Map<Field,Value>`
ObjectReference.`getValues(List<? extends Field> fields)`
Gets the value of multiple instance and/or static fields in this object.
`Map<Field,Value>`
ReferenceType.`getValues(List<? extends Field> fields)`
Returns a map containing the `Value` of each static `Field` in the given list.
`List<Field>`
ReferenceType.`visibleFields()`
Returns a list containing each unhidden and unambiguous `Field` in this type.
Methods in com.sun.jdi with parameters of type Field
Modifier and Type
Method
Description
`Value`
ObjectReference.`getValue(Field sig)`
Gets the value of a given instance or static field in this object.
`Value`
ReferenceType.`getValue(Field field)`
Gets the `Value` of a given static `Field` in this type.
`void`
ClassType.`setValue(Field field, Value value)`
Assigns a value to a static field.
`void`
ObjectReference.`setValue(Field field, Value value)`
Sets the value of a given instance or static field in this object.
Method parameters in com.sun.jdi with type arguments of type Field
Modifier and Type
Method
Description
`Map<Field,Value>`
ObjectReference.`getValues(List<? extends Field> fields)`
Gets the value of multiple instance and/or static fields in this object.
`Map<Field,Value>`
ReferenceType.`getValues(List<? extends Field> fields)`
Returns a map containing the `Value` of each static `Field` in the given list.

## Uses of Field in com.sun.jdi.event

Methods in com.sun.jdi.event that return Field
Modifier and Type
Method
Description
`Field`
WatchpointEvent.`field()`
Returns the field that is about to be accessed/modified.

## Uses of Field in com.sun.jdi.request

Methods in com.sun.jdi.request that return Field
Modifier and Type
Method
Description
`Field`
WatchpointRequest.`field()`
Gets the Field being watched by this WatchpointRequest.
Methods in com.sun.jdi.request with parameters of type Field
Modifier and Type
Method
Description
`AccessWatchpointRequest`
EventRequestManager.`createAccessWatchpointRequest(Field field)`
Creates a new disabled watchpoint which watches accesses to the specified field.
`ModificationWatchpointRequest`
EventRequestManager.`createModificationWatchpointRequest(Field field)`
Creates a new disabled watchpoint which watches accesses to the specified field.